<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:element name="DataFile">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="FileHeader">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="TimeStamp" type="xs:dateTime"/>
							<xs:element name="TimeZone" type="xs:string"/>
							<xs:element name="VendorName" type="xs:string" minOccurs="0"/>
							<xs:element name="ElementType" type="xs:string" minOccurs="0"/>
							<xs:element name="CmVersion" type="xs:string" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="Objects" maxOccurs="unbounded">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="ObjectType" type="xs:string"/>
							<!--该字段必选-->
							<xs:element name="FieldName">
								<xs:complexType>
									<xs:sequence minOccurs="0" maxOccurs="unbounded">
										<xs:element name="N">
											<xs:complexType>
												<xs:simpleContent>
													<xs:extension base="xs:string">
														<xs:attribute name="i" type="xs:integer" use="required"/>
													</xs:extension>
												</xs:simpleContent>
											</xs:complexType>
										</xs:element>
									</xs:sequence>
								</xs:complexType>
							</xs:element>
							<xs:element name="FieldValue">
								<xs:complexType>
									<xs:sequence minOccurs="0" maxOccurs="unbounded">
										<xs:element name="Object">
											<xs:complexType>
												<xs:sequence minOccurs="0" maxOccurs="unbounded">
													<xs:element name="V">
														<xs:complexType>
															<xs:simpleContent>
																<xs:extension base="xs:string">
																	<xs:attribute name="i" type="xs:integer" use="required"/>
																</xs:extension>
															</xs:simpleContent>
														</xs:complexType>
													</xs:element>
												</xs:sequence>
												<xs:attribute name="rmUID" type="xs:string" use="required"/>
												<xs:attribute name="Dn" type="xs:string"/>
												<!-- //无线、核心网专业该字段必选，传输、IP专业、业务系统无该字段-->
												<xs:attribute name="UserLabel" type="xs:string"/>
												<!-- //无线、核心网专业该字段必选，传输、IP专业、业务系统无该字段-->
												<xs:attribute name="PVFlag" type="xs:string" use="required"/>
												<!-- //必须-->
												<xs:attribute name="VMID" type="xs:string"/>
												<!-- //VNF网络或VNF和PNF混合组网：虚拟网元必选，物理网元无该字段-->
												<xs:attribute name="VNFInstanceID" type="xs:string"/>
												<!-- //VNF网络或VNF和PNF混合组网：虚拟网元必选，物理网元无该字段-->
											</xs:complexType>
										</xs:element>
									</xs:sequence>
								</xs:complexType>
							</xs:element>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
</xs:schema>

